function createBriefingScharfi()
	BriefingScharfi = {}
	BriefingScharfi.finished = MoveSalim
	
	local page = 0
	page = page + 1
	BriefingScharfi[page] = {}
	BriefingScharfi[page].position = GetPosition("scharfiTyp")
	BriefingScharfi[page].title = "Gelehrter"
	BriefingScharfi[page].text = "Seid gegrüßt! Das sind interessante Forschungsunterlagen, die Ihr da bei Euch habt. Pläne für Gewehre, richtig? Ich habe von sowas gehört. Wir könnten sie vielleicht erlernen, auch wenn viele unserer Forscher nicht so bewandert in diesen Dingen sind."
	
	page = page + 1
	BriefingScharfi[page] = {}
	BriefingScharfi[page].position = GetPosition("scharfiTyp")
	BriefingScharfi[page].mc = {}
	BriefingScharfi[page].mc.title = "Gelehrter"
	BriefingScharfi[page].mc.text = "Sagt, ein so legendär gelehrter Mann wie Ihr, Salim, wäre doch gewiss in der Lage, uns dieses Wissen zu vermitteln. Wenn Ihr bereit seid die nötige Zeit aufzubringen, uns zu unterrichten, natürlich. "
	BriefingScharfi[page].mc.firstText = "Ich habe gerade kein Interesse daran."
	BriefingScharfi[page].mc.secondText = "Egal! Lass uns starten und sie untersuchen."
	BriefingScharfi[page].mc.firstSelected = 3
	BriefingScharfi[page].mc.secondSelected = 4
	
	StartBriefing(BriefingScharfi)
end

function MoveSalim()
	 if GetSelectedBriefingMCButton(BriefingScharfi[2]) == 2 then
		DisableNpcMarker("scharfiTyp")
		local techpos = GetPosition("SalimPos")
		Logic.MoveSettler(GetID("Salim"), techpos.X, techpos.Y)
		Logic.ChangeEntityPlayerID(GetID("Salim"), 3)
		StartSimpleJob("salimwaiter")
	else
		EnableNpcMarker("scharfiTyp")
	 end
end

function salimwaiter()
	if Counter.Tick2("salimreached",3) then
		StartSimpleJob("TeachScharfi")
		return true
	end
	return false
end

function TeachScharfi()
	if Counter.Tick2("TeachingScharfi",1800) then
		Logic.SetTechnologyState(1,Technologies.GT_Matchlock,2)
		--research_researchready_rnd_07
		Stream.Start("Sounds\\voicesmentor\\research_researchready_rnd_07", 127)
		local techpos = GetPosition("SalimPos")
		GUI.ScriptSignal(techpos.X, techpos.Y, 0)
		Logic.ChangeEntityPlayerID(GetID("Salim"), 1)
		return true
	end
	return false
end